use std::error::Error;
use std::fmt;

use config::ConfigError;

#[derive(Debug)]
pub enum LJError {
    ConfigFileMissing,

}

impl fmt::Display for LJError {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
	use LJError::*;
	
	match self {
	    ConfigFileMissing => {
		write!(f, "first argument must be a TOML config file \
			   (see copyme.Settings.toml)")
	    },
	}
    }
}

impl Error for LJError {
    fn source(&self) -> Option<&(dyn Error + 'static)> {
	use LJError::*;

	match self {
	    ConfigFileMissing => None,
	}
    }
}
